/* button.cc
 * 
 * Copyright (C) 2011 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This file is part of gltk.
 * 
 * gltk is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with gltk.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */
#include "button.hh"
#include "label.hh"
#include "internal.hh"
#include <iostream>
using namespace gltk;

void Button::on_draw()
{
	PushBox::draw_box();
	if (child) {
		int d = box_width + depressed;
		place_bin(d, d);
		draw_children();
	}
}

void Button::get_preferred_height(int & min, int & nat) const
{
	Bin::get_preferred_height(min, nat);
}

void Button::get_preferred_width(int & min, int & nat) const
{
	Bin::get_preferred_width(min, nat);
}

void Button::get_preferred_width_for_height(int height, int & min, int & nat) const
{
	Bin::get_preferred_width_for_height(height, min, nat);
}

void Button::get_preferred_height_for_width(int width, int & min, int & nat) const
{
	Bin::get_preferred_height_for_width(width, min, nat);
}

bool Button::focus_make()
{
	return PushBox::focus_make();
}

bool Button::focus_next()
{
	return PushBox::focus_next();
}

void Button::focus_end()
{
	PushBox::focus_end();
}

void Button::on_button_event(int button, int state, int x, int y)
{
	PushBox::on_button_event(button, state, x, y);
}

bool Button::on_key_event(unsigned char key)
{
	return PushBox::on_key_event(key);
}

Button::Button(std::string const & name) :
	LabelBin(name)
{
	int rs = box_width * 2 + 1;
	set_reserved(rs, rs);
}

Button::Button(Widget * w) :
	LabelBin(w)
{
	int rs = box_width * 2 + 1;
	set_reserved(rs, rs);
}
