/* label.cc
 * 
 * Copyright (C) 2011 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This file is part of gltk.
 * 
 * gltk is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with gltk.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */
#include "label.hh"
#include "glut_inc.hh"
#include "internal.hh"
#include <iostream>
#include <algorithm>
using namespace gltk;

void Label::on_draw()
{
	// center align
	int y = get_height() / 2;
	int w = min_of(text_width(), get_width());
	int x = (get_width() - w) / 2;
	glColor3f(0, 0, 0);
	glRasterPos2i(x, y);
	draw_text(ALIGN_START, ALIGN_CENTER, w);
}

void Label::get_preferred_height(int & min, int & nat) const
{
	min = text_height();
	nat = min + 2;
}

void Label::get_preferred_width(int & min, int & nat) const
{
	min = text_width();
	nat = min + 2;
}

void Label::on_set_text()
{
	queue_resize();
}

Label::Label()
{}

Label::Label(std::string const & label, bool mnemonic)
{
	set_text(label);
}
