/* labelbin.cc
 * 
 * Copyright (C) 2011 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This file is part of gltk.
 * 
 * gltk is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with gltk.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */
#include "labelbin.hh"
#include "label.hh"
#include "internal.hh"
using namespace gltk;

LabelBin::LabelBin(Widget * child) :
	own_child(false)
{
	add(child);
}

LabelBin::LabelBin(std::string const & name) :
	own_child(true)
{
	add(manage(new Label(name)));
}

LabelBin::~LabelBin()
{
}

void LabelBin::set_text(std::string name)
{
	if (Label * l = dynamic_cast<Label *>(child)) l->set_text(name);
}
