/* labelbin.hh
 * 
 * Copyright (C) 2011 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This file is part of gltk.
 * 
 * gltk is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with gltk.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */
#ifndef GLTK_LABELBIN_HH
#define GLTK_LABELBIN_HH
#include "bin.hh"
#include <string>
namespace gltk {
	/** LabelBin is a Bin with default Label child.
	    If a string is provided instead of a child Widget when initialize,
	    LabelBin creates a Label with string as a child. It manages
	    the child it created. */
	class LabelBin :
		virtual public Bin
	{
		bool own_child;
	public:
		LabelBin(Widget * child); ///< initialize with a child Widget
		LabelBin(std::string const & name); ///< initialize with a text label
		~LabelBin();
		void set_text(std::string name);
	};
}
#endif
