/* orientable.hh
 * 
 * Copyright (C) 2011 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This file is part of gltk.
 * 
 * gltk is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with gltk.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */
#ifndef GLTK_ORIENTABLE_HH
#define GLTK_ORIENTABLE_HH
#include "orientation.hh"
namespace gltk {
	class Orientable
	{
	protected:
		bool hori; // horizontal?
	public:
		Orientable(Orientation orientation = ORIENTATION_HORIZONTAL);
		Orientation get_orientation() const;
		void set_orientation(Orientation);
		bool get_hori() const {return hori;}
	};
}
#endif
