/* popup.hh
 * 
 * Copyright (C) 2011 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This file is part of gltk.
 * 
 * gltk is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with gltk.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */
#ifndef GLTK_POPUP_HH
#define GLTK_POPUP_HH
#include "widget.hh"
#include <vector>
#include <string>
namespace gltk {
	/** A Widget that popups a menu on click.
	    This provides an access to the popup menu of GLUT. */
	class Popup :
		public virtual Widget
	{
		int menu_id;
		static void menu_callback(int item);
		static void menu_status(int status, int x, int y);

		// overrides
		void on_entry_event(bool entered);
		void on_unrealized();
	protected:
		std::vector<std::string> menu; ///< list of selectable strings
		virtual void on_menu_select(int item) {} ///< called on item selection
		void release_menu(); ///< destroy the menu so it will be rebuilt on next popup
	public:
		Popup();
	};
}
#endif
