/* separator.hh
 * 
 * Copyright (C) 2011 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This file is part of gltk.
 * 
 * gltk is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with gltk.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */
#ifndef GLTK_SEPARATOR_HH
#define GLTK_SEPARATOR_HH
#include "widget.hh"
#include "orientation.hh"
namespace gltk {
	class Separator :
		public Widget
	{
		bool hori;
		void on_draw();
		void get_preferred_width(int & min, int & nat) const;
		void get_preferred_height(int & min, int & nat) const;
	public:
		Separator(Orientation orientation = ORIENTATION_HORIZONTAL);
	};

	class VSeparator :
		public Separator
	{
	public:
		VSeparator() : Separator(ORIENTATION_VERTICAL) {}
	};

	class HSeparator :
		public Separator
	{
	public:
		HSeparator() : Separator(ORIENTATION_HORIZONTAL) {}
	};
}
#endif
